
From: Peter Samuelson <peter@p12n.org>

AIX curses.h defines macros 'clear_screen' and 'color_names' but does not
define 'scroll()'.

Signed-Off-By: Peter Samuelson <peter@p12n.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/lxdialog/checklist.c |    2 +-
 25-akpm/scripts/lxdialog/colors.h    |    6 ------
 25-akpm/scripts/lxdialog/lxdialog.c  |    8 ++++----
 25-akpm/scripts/lxdialog/menubox.c   |    4 ++--
 4 files changed, 7 insertions(+), 13 deletions(-)

diff -puN scripts/lxdialog/checklist.c~cross-compile-scripts-lxdialog-on-aix scripts/lxdialog/checklist.c
--- 25/scripts/lxdialog/checklist.c~cross-compile-scripts-lxdialog-on-aix	2005-03-07 20:41:42.000000000 -0800
+++ 25-akpm/scripts/lxdialog/checklist.c	2005-03-07 20:41:42.000000000 -0800
@@ -269,7 +269,7 @@ dialog_checklist (const char *title, con
 				    status[scroll + max_choice - 1],
 				    max_choice - 1, FALSE);
 			scrollok (list, TRUE);
-			scroll (list);
+			wscrl (list, 1);
 			scrollok (list, FALSE);
 		    }
 		    scroll++;
diff -puN scripts/lxdialog/colors.h~cross-compile-scripts-lxdialog-on-aix scripts/lxdialog/colors.h
--- 25/scripts/lxdialog/colors.h~cross-compile-scripts-lxdialog-on-aix	2005-03-07 20:41:42.000000000 -0800
+++ 25-akpm/scripts/lxdialog/colors.h	2005-03-07 20:41:42.000000000 -0800
@@ -152,10 +152,4 @@
  * Global variables
  */
 
-typedef struct {
-    char name[COLOR_NAME_LEN];
-    int value;
-} color_names_st;
-
-extern color_names_st color_names[];
 extern int color_table[][3];
diff -puN scripts/lxdialog/lxdialog.c~cross-compile-scripts-lxdialog-on-aix scripts/lxdialog/lxdialog.c
--- 25/scripts/lxdialog/lxdialog.c~cross-compile-scripts-lxdialog-on-aix	2005-03-07 20:41:42.000000000 -0800
+++ 25-akpm/scripts/lxdialog/lxdialog.c	2005-03-07 20:41:42.000000000 -0800
@@ -56,7 +56,7 @@ static struct Mode *modePtr;
 int
 main (int argc, const char * const * argv)
 {
-    int offset = 0, clear_screen = 0, end_common_opts = 0, retval;
+    int offset = 0, opt_clear = 0, end_common_opts = 0, retval;
     const char *title = NULL;
 
 #ifdef LOCALE
@@ -89,7 +89,7 @@ main (int argc, const char * const * arg
                 offset += 2;
             }
 	} else if (!strcmp (argv[offset + 1], "--clear")) {
-	    if (clear_screen) {	/* Hey, "--clear" can't appear twice! */
+	    if (opt_clear) {		/* Hey, "--clear" can't appear twice! */
 		Usage (argv[0]);
 		exit (-1);
 	    } else if (argc == 2) {	/* we only want to clear the screen */
@@ -98,7 +98,7 @@ main (int argc, const char * const * arg
 		end_dialog ();
 		return 0;
 	    } else {
-		clear_screen = 1;
+		opt_clear = 1;
 		offset++;
 	    }
 	} else			/* no more common options */
@@ -127,7 +127,7 @@ main (int argc, const char * const * arg
     init_dialog ();
     retval = (*(modePtr->jumper)) (title, argc - offset, argv + offset);
 
-    if (clear_screen) {		/* clear screen before exit */
+    if (opt_clear) {		/* clear screen before exit */
 	attr_clear (stdscr, LINES, COLS, screen_attr);
 	refresh ();
     }
diff -puN scripts/lxdialog/menubox.c~cross-compile-scripts-lxdialog-on-aix scripts/lxdialog/menubox.c
--- 25/scripts/lxdialog/menubox.c~cross-compile-scripts-lxdialog-on-aix	2005-03-07 20:41:42.000000000 -0800
+++ 25-akpm/scripts/lxdialog/menubox.c	2005-03-07 20:41:42.000000000 -0800
@@ -327,7 +327,7 @@ dialog_menu (const char *title, const ch
                    ) {
 		    /* Scroll menu up */
 		    scrollok (menu, TRUE);
-                    scroll (menu);
+		    wscrl (menu, 1);
                     scrollok (menu, FALSE);
 
                     scroll++;
@@ -357,7 +357,7 @@ dialog_menu (const char *title, const ch
                 for (i=0; (i < max_choice); i++) {
                     if (scroll+max_choice < item_no) {
 			scrollok (menu, TRUE);
-			scroll(menu);
+			wscrl (menu, 1);
 			scrollok (menu, FALSE);
                 	scroll++;
                 	print_item (menu, items[(scroll+max_choice-1)*2+1],
_
